//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace RaamatukoguAPP11
{
    using System;
    using System.Collections.Generic;
    
    public partial class EksemplariSilt
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public EksemplariSilt()
        {
            this.Eksemplar1 = new HashSet<Eksemplar>();
        }
    
        public int Kood { get; set; }
        public Nullable<int> EksemplariKood { get; set; }
        public Nullable<int> SildiKood { get; set; }
    
        public virtual Eksemplar Eksemplar { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Eksemplar> Eksemplar1 { get; set; }
        public virtual Silt Silt { get; set; }
    }
}
